let test = await this.actor.setupCharacteristic("wp", {skipTargets: true, appendTitle :  " - " + this.effect.name, context : {failure: "GAin d'1 état Sonné"}})
await test.roll();
if (test.failed)
{
    this.actor.addCondition("stunned");
}